/*
This is a part of the LiteStep Shell Source code.

Copyright (C) 1997-2001 The LiteStep Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/ 
/*
  Copyright (C) 1998-1999 Johan Redestig
 
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#if !defined(AFX_STDAFX_H__A9DB83DB_A9FD_11D0_BFD1_444553540000__INCLUDED_)
#define AFX_STDAFX_H__A9DB83DB_A9FD_11D0_BFD1_444553540000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers

#define _WIN32_WINNT 0x400

#define NOCRYPT // Exclude encryption stuff
#define NOSERVICE // Exclude service stuff
#define NOIME // ...
#define NOMCX //...

#include <litestep/lsapi/lsapi.h>
#include <litestep/utility/macros.h>
//#include <windows.h>
#include <shellapi.h>
#include <shlwapi.h>
#include <stdlib.h> 
//#include <winuser.h>
#include <stdio.h>
#include "resource.h"

#define NO_INTSHCUT_GUIDS
#define NO_SHDOCVW_GUIDS
#include <shlobj.h>


#include "re5ources.h"

#include <strsafe.h>

#ifdef DEPRECATE_SUPPORTED

#undef lstrcpyn
#pragma deprecated(lstrcpyn)
#pragma deprecated(lstrcpynA)
#pragma deprecated(lstrcpynW)

#else

#undef lstrcpyn
#define lstrcpyn lstrcpyn_instead_use_StringCbCopyN_or_StringCchCopyN;
#define lstrcpynA lstrcpynA_instead_use_StringCbCopyNA_or_StringCchCopyNA;
#define lstrcpynW lstrcpynW_instead_use_StringCbCopyNW_or_StringCchCopyNW;

#endif

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__A9DB83DB_A9FD_11D0_BFD1_444553540000__INCLUDED_)
